"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = require("path");
const glob_1 = tslib_1.__importDefault(require("../../helpers/glob"));
const CWD = process.cwd();
const PATTERN = 'layouts/**/*.js';
exports.getLayoutPaths = async () => glob_1.default(PATTERN);
exports.getLayoutTemplates = async (paths) => paths
    .map(async (path) => {
    const filename = path.split('/').pop();
    return Object.assign({ name: filename.split('.')[0] }, await Promise.resolve().then(() => tslib_1.__importStar(require(path_1.normalize(`${CWD}/${path}`)))));
});
exports.getLayouts = async () => {
    const paths = await exports.getLayoutPaths();
    const templates = await exports.getLayoutTemplates(paths);
    return Promise.all(templates);
};
exports.default = exports.getLayouts;
