"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mapHeadTags = ([tag, props, content = null]) => {
    const keys = Object.keys(props);
    const attributes = keys.map((key) => (props[key] === true ? `${key}` : `${key}="${props[key]}"`)).join(' ');
    if (content) {
        if (content === true) {
            return `<${tag} ${attributes}></${tag}>`;
        }
        if (!keys.length) {
            return `<${tag}>${content}</${tag}>`;
        }
        return `<${tag} ${attributes}>${content}</${tag}>`;
    }
    return `<${tag} ${attributes} />`;
};
exports.transformHeadToHTML = async ({ head, data, config, dev }) => {
    const tags = head ? [
        ...config.head ? await config.head({ data, config, dev }) : [],
        ...await head({ data, config, dev }),
    ] : [];
    return tags.map(mapHeadTags).join('\n');
};
