"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const head_1 = require("../head");
const LAYOUT_DEFAULT_TEMPLATE = 'default';
exports.mergeLayoutsWithPages = (pages, layouts) => pages
    .map((_a) => {
    var { layout = LAYOUT_DEFAULT_TEMPLATE } = _a, otherValues = tslib_1.__rest(_a, ["layout"]);
    return (Object.assign({ layout: layouts.filter(({ name }) => name === layout)[0].default }, otherValues));
});
exports.generateHTML = (pages, { dev, config }) => Promise.all(pages.map(async (page) => {
    const pageData = page.data ? await page.data({ dev, config }) : {};
    const pageHead = head_1.transformHeadToHTML({
        head: page.head,
        data: pageData,
        config,
        dev,
    });
    const pageTemplate = page.page({
        data: pageData,
        config,
        dev,
    });
    const layoutTemplate = page.layout({
        title: page.title,
        content: pageTemplate,
        head: await pageHead,
        config,
        dev,
    });
    return {
        html: layoutTemplate,
        name: page.name.replace('js', 'html'),
        path: page.path,
    };
}));
